# Delete a Legal Entity

A legal entity can be deleted, if it has not been used in any submitted transactions. When transactions are connected to it, it can not be deleted or updated anymore.

## Delete a legal entity of your business

> Delete a legal entity of your business

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.45.0"},"servers":[{"url":"https://api.tradeaware.live-eo.com"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/legal-entities/{id}":{"delete":{"description":"Delete a legal entity of your business","operationId":"LegalEntitiesController_delete","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"204":{"description":""},"401":{"description":""},"403":{"description":""},"404":{"description":""}},"summary":"Delete a legal entity of your business","tags":["LegalEntities"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.live-eo.com/tradeaware/using-the-tradeaware-api/api-reference/legal-entities/delete-a-legal-entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
